## com.lowagie.tools.arguments
Class FileArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument
          com.lowagie.tools.arguments.FileArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class FileArgument

extends ToolArgument

ToolArgument class if the argument is a java.io.File.

Field Summary
`private javax.swing.filechooser.FileFilter` `filter` a filter to put on the FileChooser.
`(package private) LabelAccessory` `label` the label
`private boolean` `newFile` indicates if the argument has to point to a new or an existing file.

Fields inherited from class com.lowagie.tools.arguments.ToolArgument
`classname, description, name, propertyChangeListeners, tool, value`

Constructor Summary
`FileArgument(AbstractTool tool, java.lang.String name, java.lang.String description, boolean newFile)` Constructs a FileArgument.
`FileArgument(AbstractTool tool, java.lang.String name, java.lang.String description, boolean newFile, javax.swing.filechooser.FileFilter filter)` Constructs a FileArgument.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.Object` `getArgument()` Gets the argument as an object.
`javax.swing.filechooser.FileFilter` `getFilter()`
`LabelAccessory` `getLabel()`
`void` `setFilter(javax.swing.filechooser.FileFilter filter)`
`void` `setLabel(LabelAccessory label)`

Methods inherited from class com.lowagie.tools.arguments.ToolArgument
`addPropertyChangeListener, firePropertyChange, getClassname, getDescription, getName, getUsage, getValue, propertyChange, removePropertyChangeListener, setClassname, setDescription, setName, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    private javax.swing.filechooser.FileFilter filter

  a filter to put on the FileChooser.

### newFile

    private boolean newFile

  indicates if the argument has to point to a new or an existing file.

### label

    LabelAccessory label

  the label

Constructor Detail

### FileArgument

    public FileArgument(AbstractTool tool,
                        java.lang.String name,
                        java.lang.String description,
                        boolean newFile,
                        javax.swing.filechooser.FileFilter filter)

  Constructs a FileArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument
    `newFile` - makes the difference between an Open or Save dialog
    `filter` -

### FileArgument

    public FileArgument(AbstractTool tool,
                        java.lang.String name,
                        java.lang.String description,
                        boolean newFile)

  Constructs a FileArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument
    `newFile` - makes the difference between an Open or Save dialog

Method Detail

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `ToolArgument`
  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `ToolArgument`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

### getFilter

    public javax.swing.filechooser.FileFilter getFilter()

  Returns:
    Returns the filter.

### setFilter

    public void setFilter(javax.swing.filechooser.FileFilter filter)

  Parameters:
    `filter` - The filter to set.

### getLabel

    public LabelAccessory getLabel()

  Returns:
    Returns the label.

### setLabel

    public void setLabel(LabelAccessory label)

  Parameters:
    `label` - The label to set.